## org.eclipse.datatools.connectivity.oda.spec.util
Class SortSpecMigrator

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.util.SortSpecMigrator

    public class SortSpecMigrator

extends java.lang.Object

An utility to convert a pre-3.2 `SortSpec` instance to and from a `SortSpecification` instance.

Since:
  3.3 (DTP 1.8)

Constructor Summary
`SortSpecMigrator()`

Method Summary
`static SortSpecification` `convertSortSpecification(SortSpec oldSortSpec)` Converts the specified pre-3.2 `SortSpec` instance to a `SortSpecification` instance that can be used in a QuerySpecification.
`static SortSpec` `convertSortSpecification(SortSpecification resultSortSpec)` Converts the specified `SortSpecification` instance used in a QuerySpecification to a pre-3.2 `SortSpec` instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortSpecMigrator

    public SortSpecMigrator()

Method Detail

### convertSortSpecification

    public static SortSpecification convertSortSpecification(SortSpec oldSortSpec)

  Converts the specified pre-3.2 `SortSpec` instance to a `SortSpecification` instance that can be used in a QuerySpecification.

  Parameters:
    `oldSortSpec` - a pre-3.2 `SortSpec` instance to convert from
  Returns:
    a new `SortSpecification` instance

### convertSortSpecification

    public static SortSpec convertSortSpecification(SortSpecification resultSortSpec)

  Converts the specified `SortSpecification` instance used in a QuerySpecification to a pre-3.2 `SortSpec` instance.

  Parameters:
    `resultSortSpec` - a `SortSpecification` instance to convert from
  Returns:
    a new pre-3.2 `SortSpec` instance